#!/bin/sh

case $2 in 
    "RX_bytes") val=2 ;;
    "RX_pkts") val=3 ;;
    "RX_errs") val=4 ;;
    "RX_drop") val=5 ;;
    "RX_mcast") val=9 ;;
    "TX_bytes") val=10 ;;
    "TX_pkts") val=11 ;;
    "TX_errs") val=12 ;;
    "TX_drop") val=13 ;;
    *) echo "Error: unknown field type!"; exit 1 ;;
esac

exec awk "/$1/ { print \$$val };" /proc/net/dev
