#!/bin/bash
/bin/tar --preserve --same-owner --atime-preserve -cvzf /tmp/etc-defaults.tar.gz /etc 2&>1
configsize=`/bin/ls -all /var/tmp/ | grep "etc-defaults.tar.gz" | awk '{print $5;}'`
#echo "Gre der Config: $configsize Bytes"

patchsize=0
for size in `/bin/ls -all /etc/gibraltar/patches/*.gib | awk '{print $5;}'`; do
	patchsize=`expr $patchsize + $size`
done
#echo "Gre der Patches: $patchsize Bytes"
#echo "Gesamtgre: `expr $patchsize + $configsize` Bytes"

size=`expr $patchsize + $configsize`
size=`expr $size / 1024`

echo $size

rm /var/tmp/etc-defaults.tar.gz
