#!/bin/bash

MD5_EMPTYFILE=45c1fbe489ed7e509bff2612aba0b4fb
STATLISTDBFILE=/var/lib/puresight/statlistdb
URL=https://www.gibraltar.at/puresight/statlistdb
CACERT=/etc/ssl/certs/cert-chain.pem

# check if there is already a new file in STATLISTDBFILE
if [ "`md5sum $STATLISTDBFILE  | awk '{ print $1 }'`" = "$MD5_EMPTYFILE" ];then
#  echo "Downloading updated file"
  rm $STATLISTDBFILE
  curl --cacert $CACERT -3 -o $STATLISTDBFILE $URL
  chmod 644 $STATLISTDBFILE
#  echo "done"
fi

exit 0;