#!/bin/sh

# Script to search within the syslog files for a specified string
# only print 1000 lines
# 2007-07-04 MH - adapted
# 2007-05-02 RL

searchString=$1
printLines=100
useLog="syslog"

if [ -e /var/log/${useLog}.1.gz ]; then
        dotgzlogs=`ls /var/log/ | grep ${useLog} | grep gz`
        (
                tac /var/log/${useLog} | grep -e $searchString;

                for dotgzlog in $dotgzlogs; do
						zcat /var/log/${dotgzlog} | tac | grep -e $searchString;
                done;
        ) | tac | tail -n $printLines | tac
else
        ( grep -e $searchString /var/log/${useLog} ) | tail -n $printLines | tac
fi
