#!/bin/sh

STATEFILE=/var/lib/torrus/collector_rrd/ipac/last_torrus_read

if [ -e $STATEFILE ]; then 
  start=`awk '/Data from .* to/ { print $7$8; }' $STATEFILE \
  	 | sed 's/[\/:]//g'` 
else 
  start=1m
fi

# safeguard in case the statefile is not valid
if [ -z "$start" ]; then
  start=1m
fi

# only if the ipacsum call was successful overwrite the old statefile
ipacsum --exact -s $start | tee $STATEFILE.new
ret=$?
if [ -s $STATEFILE.new ]; then mv $STATEFILE.new $STATEFILE; fi
exit $?
